if not ace:LoadTranslation("TopScoreFu") then

TopScoreFuLocals = {
	NAME = "FuBar - Top ScoreFu",
	DESCRIPTION = "Keeps track of your top hits, heals, criticals, etc.",
	COMMANDS = {"/topfu", "/tsfu", "/topscorefu"},
	CMD_OPTIONS = {},
	
	ARGUMENT_SHOWSPLASH = "showSplash",
	ARGUMENT_PLAYNOISE = "playNoise",
	ARGUMENT_SCREENSHOT = "screenshot",
	ARGUMENT_HEALING = "healing",
	ARGUMENT_DAMAGE = "damage",
	ARGUMENT_ONLYPVP = "onlyPvP",
	ARGUMENT_RESET = "reset",
	ARGUMENT_POSITION = "position",
	ARGUMENT_SHOWTRIVIAL = "trivial",
	
	MENU_SHOW_SPLASH = "Show splash",
	MENU_PLAY_NOISE = "Play noise",
	MENU_TAKE_SCREENSHOTS = "Take screenshots",
	MENU_INCLUDE_HEALING = "Include healing",
	MENU_INCLUDE_DAMAGE = "Include damage",
	MENU_VS_MONSTERS = "vs. Monsters",
	MENU_RESET_SCORES = "Reset scores",
	MENU_SHOW_TRIVIAL = "Trivial scores",
	MENU_FILTER = "Filter",
	MENU_PURGE = "Purge",
	
	TEXT_NORMAL = "Normal",
	TEXT_CRITICAL = "Critical",
	PATTERN_NORMAL_SPELL = "%s",
	PATTERN_CRITICAL_SPELL = "Critical %s",
	TEXT_SCORES_RESET = "Scores reset",
	TEXT_SET_POSITION_ERROR = "You must give the position in the form of `x y`, where x and y are numbers.",
	
	HINT = "Shift-Click to insert your highest scores in chat edit box.",
	
	PATTERN_NEW_CRITICAL_RECORD = "New critical %s record!\n|cffffffff%d|r",
	PATTERN_NEW_NORMAL_RECORD = "New %s record!\n|cffffffff%d|r",
	PATTERN_SET_POSITION = "Position now %d, %d",
}

TopScoreFuLocals.CMD_OPTIONS = {
	{
		option = TopScoreFuLocals.ARGUMENT_SHOWSPLASH,
		desc = "Show splash text on new record.",
		method = "ToggleShowingSplash"
	},
	{
		option = TopScoreFuLocals.ARGUMENT_PLAYNOISE,
		desc = "Play a noise on a new record.",
		method = "TogglePlayingNoise"
	},
	{
		option = TopScoreFuLocals.ARGUMENT_SCREENSHOT,
		desc = "Take a screenshot on a new record.",
		method = "ToggleTakingScreenshots"
	},
	{
		option = TopScoreFuLocals.ARGUMENT_HEALING,
		desc = "Include healing in statistics.",
		method = "ToggleIncludingHeals"
	},
	{
		option = TopScoreFuLocals.ARGUMENT_ONLYPVP,
		desc = "Only tally PvP scores.",
		method = "ToggleOnlyPvP"
	},
	{
		option = TopScoreFuLocals.ARGUMENT_RESET,
		desc = "Reset your scores.",
		method = "ResetScores",
	},
	{
		option = TopScoreFuLocals.ARGUMENT_SHOWTRIVIAL,
		desc = "Record scores of those you hit/heal who are gray (trivial) to you.",
		method = "ToggleShowingTrivial",
	},
	{
		option = TopScoreFuLocals.ARGUMENT_POSITION,
		desc = "Set the position of the splash. You must give the position in the form of `x y`, where x and y are numbers. 0 0 is the center of the screen.",
		method = "SetPosition",
	},
}

end